import './patchAnalytics';
import initTcfTracking from './tcf';
import analytics from './segmentWrapper';
import { defaultContextProperties } from './middlewares/source/defaultContextProperties.js';
import { userScreenInfo } from './middlewares/source/userScreenInfo.js';
import { getUniversalIdAndNotify } from './universalId.js';
/* Initialize TCF Tracking with Segment */

initTcfTracking();
/* Generate UniversalId if available */

try {
  getUniversalIdAndNotify();
} catch (e) {
  console.error("[segment-wrapper] UniversalID couldn't be initialized");
}
/* Use source middlewares to add functionality */


if (typeof window !== 'undefined' && window.analytics) {
  window.analytics.ready(function () {
    window.analytics.addSourceMiddleware(defaultContextProperties);
    window.analytics.addSourceMiddleware(userScreenInfo);
  });
}

export default analytics;
export { getAdobeVisitorData, getAdobeMCVisitorID } from './adobeRepository.js';
export { getUniversalId } from './universalId.js';